adolc (2.6.1-1) unstable; urgency=medium

  * New Upstream Version
  * Harden
  * Bump standards version
  * Dep-5 debian/copyright
  * Patch another misspelled word
  * Use more secure URLs where appropriate

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 12 May 2016 14:25:50 +0100

adolc (2.6.0-1) unstable; urgency=medium

  * New Upstream Version
  * forward port quilt patches
  * build dependency on libboost-system-dev, now required
  * manually enable static library generation, now default disabled upstream
  * bump standards version, no changes needed
  * spelling correction patch

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 15 Feb 2016 17:21:22 +0000

adolc (2.5.2-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream fix: increment the correct pointer in log_op reverse
    mode. Closes: #771222

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 28 Nov 2014 22:59:16 +0100

adolc (2.5.2-1) unstable; urgency=medium

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 09 Sep 2014 13:30:02 +0100

adolc (2.5.1-1) unstable; urgency=medium

  * New Upstream Version
  * ./configure option --enable-atrig-erf
  * update quilt patches, fprintf format issues fixed upstream

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 19 Jul 2014 18:27:24 +0200

adolc (2.5.0-3) unstable; urgency=medium

  * Point doc-base at now-uncompressed PDF documentation.

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 10 Mar 2014 10:14:15 +0000

adolc (2.5.0-2) unstable; urgency=medium

  * Install .pc file for pkg-config adolc
  * Build with ColPack; build dependency suffices
  * Quilt patches for autotools and compiler warnings
  * Move package into debian-science

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 07 Mar 2014 12:13:19 +0000

adolc (2.5.0-1) unstable; urgency=medium

  * Don't compress incompressible PDF documentation.
  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 04 Mar 2014 09:23:10 +0000

adolc (2.4.1-2) unstable; urgency=medium

  * multiarch support

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 13 Feb 2014 10:11:02 +0000

adolc (2.4.1-1) unstable; urgency=low

  * New Upstream Version (closes: #700937) 

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 14 Mar 2013 10:21:32 +0000

adolc (2.4.0-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 31 Jan 2013 23:33:40 +0000

adolc (2.3.0-2) unstable; urgency=low

  * bump standards version, no changes
  * switch executable debian/*.install to dh-exec
  * update debian/copyright from changes to file LICENSE

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 12 Nov 2012 08:45:41 +0000

adolc (2.3.0-1) unstable; urgency=low

  * silence lintian with trivial debian/rules tweak
  * refresh quilt patches
  * accept priority override
  * dh --with autoreconf
  * bump to dh9
  * bump debian standards version (no changes)
  * new upstream version
  * remove spelling fix quilt patch, fixed upstream
  * replace libdir fiddling in debian/rules with quilt patch to configure.ac
  * update lib paths in debian/*.install for multiarch

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 26 Mar 2012 11:36:06 +0100

adolc (2.2.1-2) unstable; urgency=low

  * correct upstream spelling errors
  * silence minor lintian section issue
  * put fixes (currently just spelling corrections) in quilt patch
  * bump debian standards version
  * revert autotools boilerplate: updated automatically at build time

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 12 Jul 2011 16:14:17 +0200

adolc (2.2.1-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 13 Jun 2011 19:12:46 +0100

adolc (2.2.0-3) unstable; urgency=low

  * enable sparse drivers (addresses Ubuntu issue 694447)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 17 May 2011 19:17:04 +0100

adolc (2.2.0-2) unstable; urgency=low

  * do not include .la files per new policy (closes: #621139)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 20 Apr 2011 14:27:12 +0100

adolc (2.2.0-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 18 Apr 2011 14:25:10 +0100

adolc (2.1.12-2) unstable; urgency=low

  * dh --parallel (debian/rules)
  * priority optional, per override (debian/control)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 31 Jan 2011 18:36:53 +0000

adolc (2.1.12-1) experimental; urgency=low

  * New Upstream Version
  * bump to debhelper 8

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 12 Nov 2010 17:05:21 +0000

adolc (2.1.10-1) experimental; urgency=low

  * New Upstream Version
  * Enable dh --with autotools_dev (debian/rules, debian/control)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 24 Sep 2010 13:47:59 +0100

adolc (2.1.9-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 08 Sep 2010 21:14:50 +0100

adolc (2.1.8-3) UNRELEASED; urgency=low

  * bump standards version (debian/control)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 02 Aug 2010 14:40:27 +0200

adolc (2.1.8-2) unstable; urgency=low

  * revert: upstream build mods allow rm autoconf/mkinstalldirs
  * add some quotes (configure.ac), autoreconf
  * versioned debhelper build dependency for overrides in debian/control

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 26 Jul 2010 10:44:52 +0100

adolc (2.1.8-1) unstable; urgency=low

  * use usr/lib never usr/lib64, via debian/rules (closes: #590015)
  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 23 Jul 2010 10:10:48 +0100

adolc (2.1.7-1) unstable; urgency=low

  * New Upstream Version
  * address build failure by creating autoconf/mkinstalldirs
  * bump debian standards version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 22 Jul 2010 10:09:41 +0100

adolc (2.1.5-2) unstable; urgency=low

  * move upstream SVN repo info from debian/control into debian/copyright
  * Switch to dpkg-source 3.0 (quilt) format

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 06 Apr 2010 13:03:17 +0100

adolc (2.1.5-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 07 Mar 2010 07:43:52 +0000

adolc (2.1.3-1) unstable; urgency=low

  * New Upstream Version
    - renames manual from adolc-20 to adolc-manual

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 25 Feb 2010 14:28:13 +0000

adolc (2.1.2-3) unstable; urgency=low

  * cp recent autoconf/config.{sub,guess} (closes: #568682) autoupdate;
    autoconf; aclocal; automake; autoconf; echo fun and productive

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 06 Feb 2010 21:59:36 +0000

adolc (2.1.2-2) unstable; urgency=low

  * Rename package libadolc1 to libadolc2
    - avoid conflicts: libadolc1 in old libadolc0
    - put actual shared libraries in the shared library package

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 01 Feb 2010 13:08:28 +0100

adolc (2.1.2-1) unstable; urgency=low

  * New Upstream Version
  * Repackage from scratch (closes: #496490, #553565, #561056)
  * Increment soname (closes: #452242, #512516)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 31 Jan 2010 11:40:52 +0100

adolc (1.10.2-4) unstable; urgency=low

  * dh7-ianize
  * dpkg-gensymbols -c3 instead of -c4 (closes: #496490)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 04 Jan 2009 21:22:21 +0100

adolc (1.10.2-3) unstable; urgency=low

  * include symbols file; invoke dpkg-gensymbols in debian/rules
  * add man pages for binaries in libadolc-examples

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 18 Aug 2008 20:09:16 +0100

adolc (1.10.2-2) unstable; urgency=low

  * Add homepage field to debian/control
  * stop ignoring make clean errors in debian/rules
  * rev deb std to 3.8.0
  * rev deb helper to 7
  * embellish debian/copyright file
  * remove COPYING file from binary packages; info in debian/copyright
  * source section in debian/control
  * move adolc-example binaries to /usr/bin/ with names adolc-*
  * debian/rules strip issues
  * include .la file

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 09 Aug 2008 21:43:38 +0100

adolc (1.10.2-1) unstable; urgency=low

  * new upstream release with a tiny bug fix and major
    semantics-preserving white space changes throughout

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 14 Sep 2006 13:18:24 +0100

adolc (1.10.1-3) unstable; urgency=low

  * configure --with-docexa --with-addexa, allowing removal of
    examples{,/additional_examples}/Makefile.debian
  * do not include upstream installation instructions INSTALL
  * use approved mechanisms to install ChangeLog as upstream changelog
  * update debian/watch

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 12 Sep 2006 14:04:15 +0100

adolc (1.10.1-2) unstable; urgency=low

  * POSIX awk/sh (closes: #381483)
  * work around 64-bit printf("%d",sizeof(int)) warnings

 -- Barak A. Pearlmutter <bap@debian.org>  Sun,  6 Aug 2006 01:46:49 +0100

adolc (1.10.1-1) unstable; urgency=low

  * new upstream release
  * now uses autoconf, rewrite debian/rules etc as appropriate
  * policy revs
  * too small to justify -doc, merge into -dev package (closes: #218542)
  * rename lib package to libadolc0 to match upstream .so name
  * rename examples package to libadolc-examples to avoid future thrash

 -- Barak A. Pearlmutter <bap@debian.org>  Tue,  1 Aug 2006 19:00:38 +0100

adolc (1.8.7-11) unstable; urgency=low

  * patch for GCC 3.4 from Andreas Jochens <aj@andaco.de> (closes: #262513)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 31 Jul 2004 11:40:29 -0600

adolc (1.8.7-10) unstable; urgency=low

  * rev to policy 3.6.1
  * recompile using GCC 3.3.2, and associated minor source tweaks
  * remove some warning suppression & backwards-compatibility flags

 -- Barak A. Pearlmutter <bap@debian.org>  Wed,  8 Oct 2003 02:46:02 +0100

adolc (1.8.7-9) unstable; urgency=low

  * missing build dependency on gs-common for ps2pdf (closes: #198834)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 26 Jun 2003 13:38:18 -0600

adolc (1.8.7-8) unstable; urgency=low

  * update for GCC 3.x transition (recompile and squelch warnings)
  * update for policy 3.5.10
  * update for debhelper 4

 -- Barak Pearlmutter <bap@cs.unm.edu>  Tue,  4 Sep 2001 03:05:25 -0600

adolc (1.8.7-7) unstable; urgency=low

  * use GCC for linking shared library (closes: #108088)
  * add exit code to main routine of helf-diff-exam

 -- Barak Pearlmutter <bap@cs.unm.edu>  Wed,  8 Aug 2001 16:44:25 -0600

adolc (1.8.7-6) unstable; urgency=low

  * address -Wall warnings in the include files
  * address most -Wall warnings in the actual libraries
  * get rid of library major number in name of -dev package

 -- Barak Pearlmutter <bap@cs.unm.edu>  Sun, 15 Jul 2001 03:20:09 -0600

adolc (1.8.7-5) unstable; urgency=low

  * add build dependency on tetex-extra (closes: #104763)

 -- Barak Pearlmutter <bap@cs.unm.edu>  Sat, 14 Jul 2001 04:19:24 -0600

adolc (1.8.7-4) unstable; urgency=low

  * undocumented man page stubs
  * copyright info: released under the GNU Lesser General Public License
  * increase BUFSIZE & TBUFSIZE from 65536 to 524288.  (should be dynamic)

 -- Barak Pearlmutter <bap@cs.unm.edu>  Thu, 12 Jul 2001 20:06:17 -0600

adolc (1.8.7-3) unstable; urgency=low

  * Add ldconfig to runtime library postinst

 -- Barak Pearlmutter <bap@cs.unm.edu>  Mon, 20 Nov 2000 02:05:47 -0700

adolc (1.8.7-2) unstable; urgency=low

  * Fix Makefile to install .h files into -dev package

 -- Barak Pearlmutter <bap@cs.unm.edu>  Thu, 16 Nov 2000 15:46:27 -0700

adolc (1.8.7-1) unstable; urgency=low

  * Initial Release.

 -- Barak Pearlmutter <bap@cs.unm.edu>  Tue, 20 Jun 2000 00:41:45 -0600
